python3-3.6

From AIXTOOLS
Jump to: navigation, search

Packages|Tools|aixtools.python3.3.6.9.1-64.I
Report Issues (via Forums) and/or TWEET:@rootvgnet

MD5 Checksum

9088216A2E4734F9DB9A70F1C0E32C5D aixtools.python3.3.6.9.1-64.I

Packages|Tools|aixtools.python3.3.6.9.0-32.I
Report Issues (via Forums) and/or TWEET:@rootvgnet

MD5 Checksum

6B09B6C88F4E4D2C5D16C89C3068D76A aixtools.python3.3.6.9.0-32.I

Package Details

Version: 3.6.9
Release: 2019-July-02
Sources: 
Depends on: >= openssl.base 1.0.2.800
ChangeLog: https://docs.python.org/3.6/whatsnew/3.6.html

== --Michael Felt (talk) 17:12, 15 November 2019 (CET)

  • Two releases of Python3-3.6.9. The 32-bit version will install on AIX 5.3 TL7 and later, the 64-bit version will install

on AIX 6.1 TL6 and later.

  • There are some wheels (bdist, aka binary distribution) that can be downloaded and used to install ANSIBLE.

These files are currently stored at http://download.aixtools.net/test/wheels. There are two directories - one for the 32-bit Python (5307/) and one for the 64-bit (6106/)

IMPORTANT

If you use a 64-bit build, when you use pip3 and install modules that are not pure Python you will need to prefix

# export OBJECT_MODE=64

before the compiled code will succeed. Also, you will need the IBM xlc compiler (gcc is not called! and probably will not work due to library GNU and GCC dependencies not supplied by AIX BOS.

make

Python build finished successfully!

The necessary bits to build these optional modules were not found: _curses_panel _gdbm _lzma _sqlite3 _tkinter ossaudiodev readline spwd

If you need the module _lzma (based on xz or _sqlite3 - post at http://forums.rootvg.net/aixtools and let me know. Those I know I can provide. The other optional modules are either irrelevant - or NOONE has ever had a need for it (readline).

Personal tools
Namespaces

Variants
Actions
Navigation
Downloads
Toolbox